#!/bin/bash

set -euxo pipefail

mkdir -p /artifacts/dist
export EPREFIX="/build/artifacts/dist"

rm -f /var/db/repos/gentoo/metadata/timestamp.chk
emerge --sync --quiet
eselect profile list | grep hardened
eselect profile set default/linux/amd64/23.0/musl/hardened/selinux

mkdir -p /etc/portage/sets
cp /build/packages.txt /etc/portage/sets/halogenos

emerge @halogenos